resource-agents (1:4.18.0-2ubuntu1) stonking; urgency=medium

  * Merge with Debian unstable (LP: #2153238). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.
  * Dropped changes:
    - d/p/docker-29-cli.patch: fix image existence check for docker >= 29
      (LP #2148302)
      [ Fixed upstream in version 4.18.0 ]

 -- Renan Rodrigo <rr@ubuntu.com>  Fri, 29 May 2026 09:45:57 -0300

resource-agents (1:4.18.0-2) unstable; urgency=medium

  * debian/control: add procps to Depends (Closes: #1136573)
  * debian/lintian-overrides: refresh for new version
  * debian/tests: use mariadb-server

 -- Valentin Vidic <vvidic@debian.org>  Fri, 22 May 2026 12:31:50 +0200

resource-agents (1:4.18.0-1) unstable; urgency=medium

  * New upstream version 4.18.0
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.7.4

 -- Valentin Vidic <vvidic@debian.org>  Sat, 09 May 2026 11:33:05 +0200

resource-agents (1:4.17.0-2) unstable; urgency=medium

  * debian/tests: fix failing ldirectord autopkgtest

 -- Valentin Vidic <vvidic@debian.org>  Sun, 01 Mar 2026 13:11:31 +0100

resource-agents (1:4.17.0-1ubuntu2) resolute; urgency=medium

  * d/p/docker-29-cli.patch: fix image existence check for docker >= 29
    (LP: #2148302)

 -- Renan Rodrigo <rr@ubuntu.com>  Wed, 15 Apr 2026 17:44:49 -0300

resource-agents (1:4.17.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2139681). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Renan Rodrigo <rr@ubuntu.com>  Tue, 03 Feb 2026 15:34:20 -0300

resource-agents (1:4.17.0-1) unstable; urgency=medium

  * New upstream version 4.17.0
  * debian/patches: refresh for new version
  * debian/control: remove redundant fields
  * debian/tests: specify names for command tests
  * debian/control: update Standards-Version to 4.7.3
  * debian/lintian-overrides: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 25 Jan 2026 12:46:07 +0100

resource-agents (1:4.16.0-4ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2125996). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Renan Rodrigo <rr@ubuntu.com>  Thu, 13 Nov 2025 09:46:48 -0300

resource-agents (1:4.16.0-4) unstable; urgency=medium

  * debian/patches: fix to avoid duplicate route issues (Closes: #1109925)
  * debian/patches: fix shellcheck redirection errors
  * debian/copyright: remove FSF postal address

 -- Valentin Vidic <vvidic@debian.org>  Sun, 24 Aug 2025 16:32:20 +0200

resource-agents (1:4.16.0-3ubuntu2) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:11:02 +0000

resource-agents (1:4.16.0-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110423). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Wed, 25 Jun 2025 17:09:30 -0300

resource-agents (1:4.16.0-3) unstable; urgency=medium

  * debian/tests: mark mysql and pgsql as flaky (Closes: #1096025)
  * debian/lintian-overrides: update groff-message format
  * debian/control: update Standards-Version to 4.7.2

 -- Valentin Vidic <vvidic@debian.org>  Fri, 28 Feb 2025 22:52:53 +0100

resource-agents (1:4.16.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085280). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - Make scripts executable again.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 19 Feb 2025 19:57:04 -0300

resource-agents (1:4.16.0-2) unstable; urgency=medium

  * debian/tests: fix failing named test
  * debian/control: add depends on psmisc (Closes: #1095291)

 -- Valentin Vidic <vvidic@debian.org>  Tue, 11 Feb 2025 21:30:35 +0100

resource-agents (1:4.16.0-1) unstable; urgency=medium

  * New upstream version 4.16.0
  * debian/patches: refresh for new version
  * debian/patches: add missing patch file

 -- Valentin Vidic <vvidic@debian.org>  Sun, 10 Nov 2024 19:27:37 +0100

resource-agents (1:4.15.1-2ubuntu3) plucky; urgency=medium

  * Make scripts executable again.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Oct 2024 09:41:00 +0100

resource-agents (1:4.15.1-2ubuntu1) plucky; urgency=medium

  * Merge with Debian; remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/curated-agents,d/t/control: move LVM-activate and iSCSI related
      agents to the -base package. They are iscsi, iSCSILogicalUnit and
      iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - d/curated-agents,d/t/control: move the pgsql agent to the -base package.
      (LP #2020208)
    - d/control: suggest postgresql used by the pgsql agent moved to main.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Oct 2024 09:10:29 +0100

resource-agents (1:4.15.1-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * apache/http-mon.sh: change curl opts to match wget (Closes: #1080528)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 05 Oct 2024 15:02:38 +0200

resource-agents (1:4.15.1-1ubuntu2) oracular; urgency=medium

  * Fix DEP8 test timeout failures (LP: #2078860):
    - d/t/control: apache2 tests now use curl instead of wget.
    - d/p/use-curl-noproxy.patch: change heartbeat/http-mon.sh curl
      options to match the wget behavior.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 29 Aug 2024 09:57:29 -0300

resource-agents (1:4.15.1-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064454). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it
      was not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/curated-agents,d/t/control: move LVM-activate and iSCSI related
      agents to the -base package. They are iscsi, iSCSILogicalUnit and
      iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
    - d/curated-agents,d/t/control: move the pgsql agent to the -base package.
      (LP #2020208)
    - d/control: suggest postgresql used by the pgsql agent moved to main.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 14 Aug 2024 09:22:46 -0300

resource-agents (1:4.15.1-1) unstable; urgency=medium

  * New upstream version 4.15.1
  * debian/patches: refresh for new version
  * debian/control: update Build-Depends for new version
  * debian/lintian-overrides: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 28 Jul 2024 18:25:52 +0200

resource-agents (1:4.14.0-1) unstable; urgency=medium

  * New upstream version 4.14.0
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.7.0
  * debian/control: update Build-Depends for systemd-dev (Closes: #1060518,
    #1071980)
  * debian/control: drop legacy depends on syslog for ldirectord (Closes:
    #1072026)
  * debian/tests: install exim4 for MailTo test (Closes: #1060759)
  * debian/control: update Build-Depends for pkgconf

 -- Valentin Vidic <vvidic@debian.org>  Wed, 05 Jun 2024 21:18:06 +0200

resource-agents (1:4.13.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:55:06 +1100

resource-agents (1:4.13.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libplumb2t64.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 18:26:14 +1300

resource-agents (1:4.13.0-1ubuntu2) noble; urgency=medium

  * d/curated-agents,d/t/control: move the pgsql agent to the -base package.
    (LP: #2020208)
  * d/control: suggest postgresql used by the pgsql agent moved to main.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 16 Jan 2024 16:32:18 -0300

resource-agents (1:4.13.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040418). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Split supported/unsupported agents:
      + Create the resource-agents-common binary package.
        This new binary package will be used by curated and non-curated
        Resource Agents.
      + Create the resource-agents-base binary package.
      + Rename resource-agents with non-curated agents to
        resource-agents-extra.
    - d/curated-agents,d/t/control: move LVM-activate and iSCSI related
      agents to the -base package. They are iscsi, iSCSILogicalUnit and
      iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
  * Dropped changes:
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
      [ This was added in jammy (LTS) and can be removed in noble (LTS) ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 12 Jan 2024 14:04:22 -0300

resource-agents (1:4.13.0-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version 4.13.0
  * debian/control: update Build-Depends for new version
  * debian/patches: refresh for new version
  * debian/lintian-overrides: update for new version

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. (Closes: #1052699)

 -- Valentin Vidic <vvidic@debian.org>  Thu, 02 Nov 2023 22:13:55 +0100

resource-agents (1:4.12.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018105). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - Create the resource-agents-common binary package.
      This new binary package will be used by curated and non-curated
      Resource Agents.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Create the resource-agents-base binary package.
    - Rename resource-agents with non-curated agents to resource-agents-extra.
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
    - d/curated-agents: add LVM-activate and iSCSI related agents.
      They are iscsi, iSCSILogicalUnit and iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 24 May 2023 17:49:57 +0200

resource-agents (1:4.12.0-2) unstable; urgency=medium

  * debian/patches: add IPv6addr-delay.patch (Closes: #1034280)
  * debian/patches: refresh patches offsets

 -- Valentin Vidic <vvidic@debian.org>  Thu, 13 Apr 2023 21:43:52 +0200

resource-agents (1:4.12.0-1) unstable; urgency=medium

  * New upstream version 4.12.0
  * debian/control: drop lsb-base dependency
  * debian/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 Jan 2023 00:44:32 +0100

resource-agents (1:4.11.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993440). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - Create the resource-agents-common binary package.
      This new binary package will be used by curated and non-curated
      Resource Agents.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Create the resource-agents-base binary package.
      It contains all the resource agents curated by Ubuntu Server.
    - Rename resource-agents with non-curated agents to resource-agents-extra.
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
    - d/curated-agents: add LVM-activate and iSCSI related agents.
      They are iscsi, iSCSILogicalUnit and iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 18 Jan 2023 09:41:55 -0300

resource-agents (1:4.11.0-3) unstable; urgency=medium

  * debian/patches: fix build failure in shellcheck of WAS6
  * debian/control: update Standards-Version to 4.6.2

 -- Valentin Vidic <vvidic@debian.org>  Mon, 26 Dec 2022 13:20:51 +0100

resource-agents (1:4.11.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Valentin Vidic ]
  * debian/watch: update github url
  * debian/control: update Standards-Version to 4.6.1
  * debian/lintian-overrides: refresh for new lintian version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 13 Nov 2022 13:58:03 +0100

resource-agents (1:4.11.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971317). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
    - Create the resource-agents-common binary package.
      This new binary package will be used by curated and non-curated
      Resource Agents.
    - d/control: add python3 as a runtime dependency to resource-agents.
      Lintian complained that one of the scripts requires python3 and it was
      not listed as a dependency.
    - Create the resource-agents-base binary package.
      It contains all the resource agents curated by Ubuntu Server.
    - Rename resource-agents with non-curated agents to resource-agents-extra.
    - Create a transitional binary package called resource-agents.
      It depends on both resource-agents-{base,extra}.
    - d/curated-agents: add LVM-activate agent.
    - d/curated-agents: add iSCSI resource agents.
      They are iscsi, iSCSILogicalUnit and iSCSITarget.
    - d/control: suggest packages used by the agents in the base binary
      package (LP #1863677).
    - d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
      Also create d/resource-agents-extra.docs to install it.
  * Dropped:
    - d/control: remove old Conflicts and Replaces.
      + Replaces/Conflicts in resource-agents*: cluster-agents, rgmanager
        and resource-agents-dev.
      + Conflicts in ldirectord: libpils0, libstonith0 and stonith.
      [changes applied in Debian version 1:4.10.0-1]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 08 Aug 2022 17:35:17 -0300

resource-agents (1:4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0
  * debian/patches: refresh for new version
  * debian/copyright: update copyright for debian directory

 -- Valentin Vidic <vvidic@debian.org>  Wed, 06 Apr 2022 22:08:42 +0200

resource-agents (1:4.10.0-1) unstable; urgency=medium

  * New upstream version 4.10.0
  * debian/watch: update github url
  * debian/control: update Standards-Version to 4.6.0
  * debian/control: update build dependencies
  * debian/control: add bc to Depends (Closes: #1000644)
  * debian/patches: refresh for new version
  * debian/lintian-overrides: refresh for new version
  * debian/patches: fix shellcheck errors
  * debian/rules: fix version used for building
  * debian/rules: fix manpage header
  * debian/control: remove old Conflicts and Replaces
  * debian/lintian-overrides: ignore capitalization in agent names
  * debian/rules: move internal binaries to /usr/libexec/heartbeat

 -- Valentin Vidic <vvidic@debian.org>  Sun, 03 Apr 2022 13:39:33 +0200

resource-agents (1:4.7.0-1ubuntu8) kinetic; urgency=medium

  * d/control: breaks/replaces for file reorg (LP: #1981598)
    to un-break upgrades

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 14 Jul 2022 13:09:42 +0200

resource-agents (1:4.7.0-1ubuntu7) jammy; urgency=medium

  * d/DEPRECATED_AGENTS: document the agents deprecated by upstream.
  * d/resource-agents-extra.docs: install d/DEPRECATED_AGENTS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 29 Mar 2022 16:47:03 -0300

resource-agents (1:4.7.0-1ubuntu6) jammy; urgency=medium

  * d/curated-agents: add iSCSI resource agents.
    They are iscsi, iSCSILogicalUnit and iSCSITarget.
  * d/control: suggest packages used by the agents in the base binary package
    (LP: #1863677).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 24 Feb 2022 11:58:58 -0300

resource-agents (1:4.7.0-1ubuntu5) impish; urgency=medium

  * d/curated-agents: add LVM-activate agent.
  * d/install-curated-agents: check if ocft config exists to install it.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 11 Jun 2021 16:12:05 -0300

resource-agents (1:4.7.0-1ubuntu4) impish; urgency=medium

  * Rename resource-agents with non-curated agents to resource-agents-extra.
    - d/control: rename the resource-agents binary package to
      resource-agents-extra.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'unsupported' term to 'non-curated'.
    - Rename RESOURCE_AGENTS_DIR to RESOURCE_AGENTS_EXTRA_DIR with the
      appropriate path in the following files:
      + d/install-common-files
      + d/install-common-files
      + d/install-supported-agents
      + d/resource-agents-cleanup
      + d/rules
  * Rename resource-agents-supported with curated agents to
    resource-agents-base.
    - d/control:
      + Rename resource-agents-supported binary package to resource-agents-base.
      + Update the short and long description to not use the 'supported' term.
      + Rename the supportedAgents substvar to curatedAgents.
    - d/curated-agents: new file, this is the renamed d/supported-agents file.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'supported' term to 'curated'.
    - d/install-common-files: Rename all the occurrences of the 'supported'
      term to 'curated'.
    - d/install-curated-agents: new file, this is the renamed
      d/install-supported-agents script.
    - d/rules: call d/install-curated-agents instead of
      d/install-supported-agents.
    - d/t/control: make IPaddr2 test depend on resource-agents-base instead of
      resource-agents-supported.
  * Create a transitional binary package called resource-agents.
    - d/control: add a new section for the transitional package, adding
      resource-agents-{base,extra} as dependencies.
  * d/control: add a missing Breaks/Replaces relation to the
    resource-agents-base.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 12 May 2021 16:15:15 -0300

resource-agents (1:4.7.0-1ubuntu3) impish; urgency=medium

  * d/control: make resource-agents recommend resource-agents-supported.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 03 May 2021 09:10:54 -0300

resource-agents (1:4.7.0-1ubuntu2) impish; urgency=medium

  * Create the resource-agents-common binary package with files to be shared
    by the supported and unsupported agents.
    - d/control: add a new paragraph for the new binary package and add it as
      a runtime dependency of resource-agents.
    - d/extract-agents-description: add this new script to extract agents
      description.
    - d/{ldirectord,resource-agents}.install: removed, now files are installed
      via rules file.
    - d/install-{common,ldirectord}-files: create those scripts to install files
      in resource-agents-common and ldirectord binary packages.
    - d/rules:
      + Override dh_auto_install to set the $DESTDIR variable.
      + Override dh_install to move files to the correspondent binary package.
      + Clean up the dh_gencontrol override, call the
        d/extract-agents-description shell script instead of implementing a
        complex logic in a Makefile.
  * Create the resource-agents-supported binary package.
    - d/control: add a new paragraph for the new binary package.
    - d/extract-agents-description: update the script to set also the new
      supportedAgents substvar.
    - d/install-supported-agents: add a shell script to manage the
      installation of all supported agents into the right binary package.
    - d/resource-agents-common.lintian-overrides: create this new file to move
      the lintian overrides previously present in resource-agents binary
      package.
    - d/resource-agents.lintian-overrides: remove the overrides referring to
      code moves to resource-agents-common.
    - d/rules: call the d/install-supported-agents shell script in the
      dh_install override.
    - d/supported-agents: add a file with a list of the supported agents.
    - d/t/control: make IPaddr2 test depend on resource-agents-supported
      instead of resource-agents.
  * Add python3 as a runtime dependency of resource-agents. Lintian complained
    about that.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 28 Apr 2021 09:39:00 -0300

resource-agents (1:4.7.0-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
  * Dropped:
    - d/p/u/lp1895348-*: Post Release Fixes (LP #1895348):
      + [d22700fc] azure-lb: Don't redirect nc listener output to pidfile
      + [3b0ffc59] build: fix distcheck issue introduced by including
                   READMEs in heartbeat directory
      + [73551ac0] galera: Fix automatic recovery when a cluster was not
                   gracefully stopped
      [applied by upstream]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 18 Jan 2021 17:34:05 -0300

resource-agents (1:4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
    - Stop building legacy rgmanager (rhel) agents
  * debian/control: update Maintainers mailing list
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.5.1
  * debian/watch: update version to 4
  * debian/rules: update for new version
  * debian/lintian-overrides: update for new version
  * debian/install: include pkgconfig file
  * debian/NEWS: drop old NEWS file

 -- Valentin Vidic <vvidic@debian.org>  Mon, 14 Dec 2020 14:34:09 +0100

resource-agents (1:4.6.1-1ubuntu2) groovy; urgency=medium

  * d/p/u/lp1895348-*: Post Release Fixes (LP: #1895348):
    - [d22700fc] azure-lb: Don't redirect nc listener output to pidfile
    - [3b0ffc59] build: fix distcheck issue introduced by including
                 READMEs in heartbeat directory
    - [73551ac0] galera: Fix automatic recovery when a cluster was not
                 gracefully stopped

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 11 Sep 2020 19:30:14 +0000

resource-agents (1:4.6.1-1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1886603). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion in
      Ubuntu main.
  * Dropped (from Ubuntu):
    - Remove bind9 autopkgtest not compatible with ubuntu (LP: 1872877)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 10 Jul 2020 11:55:55 -0300

resource-agents (1:4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1
  * debian/control: use debhelper v13

 -- Valentin Vidic <vvidic@debian.org>  Thu, 18 Jun 2020 21:03:31 +0200

resource-agents (1:4.5.0-2ubuntu2) focal; urgency=medium

  * Remove bind9 autopkgtest not compatible with ubuntu (LP: #1872877)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 15 Apr 2020 03:32:33 +0000

resource-agents (1:4.5.0-2ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1866383). Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid
      inclusion in Ubuntu main.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 07 Apr 2020 22:43:39 +0000

resource-agents (1:4.5.0-2) unstable; urgency=medium

  * debian/tests: fix test for new bind9 version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 05 Apr 2020 20:10:00 +0200

resource-agents (1:4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * debian/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Fri, 06 Mar 2020 19:50:58 +0100

resource-agents (1:4.4.0-3ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
  * Dropped changes, included in Debian:
    - Test dep on postgresql, not postgresql-11 which is now gone.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 15 Feb 2020 16:56:30 -0800

resource-agents (1:4.4.0-3) unstable; urgency=medium

  * debian/salsa-ci.yml: enable CI
  * debian/control: update Standards-Version to 4.5.0
  * debian/tests: fix pgsql test for postgresql-12

 -- Valentin Vidic <vvidic@debian.org>  Mon, 10 Feb 2020 19:10:10 +0100

resource-agents (1:4.4.0-2) unstable; urgency=medium

  * debian/patches: fix shell expansion in MailTo (Closes: #944694)
  * debian/resource-agents.lintian-overrides: cleanup

 -- Valentin Vidic <vvidic@debian.org>  Sat, 16 Nov 2019 10:47:46 +0100

resource-agents (1:4.4.0-1ubuntu2) focal; urgency=medium

  * Test dep on postgresql, not postgresql-11 which is now gone.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Feb 2020 17:20:21 -0800

resource-agents (1:4.4.0-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
  * Dropped changes (in Debian):
    - d/p/lp1825250-ethmonitor-check-if-interface-exists-by-link.patch:
      ethmonitor: check if interface exists by link.
      [Fixed upstream]
    - d/p/lp1825250-ethmonitor-fix-is_interface-regression.patch:
      ethmonitor: fix is_interface() regression.
      [Fixed upstream]

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Fri, 08 Nov 2019 16:45:38 +0000

resource-agents (1:4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * debian/control: update Standards-Version to 4.4.1
  * debian/control: build using Rules-Requires-Root: no
  * debian/patches: refresh for new version
  * debian/control: use debhelper v12
  * debian/control: add Pre-Depends to ldirectord
  * debian/rules: fix output of gencontrol
  * debian/patches: mysql-common: fix startup check

 -- Valentin Vidic <vvidic@debian.org>  Thu, 24 Oct 2019 20:18:24 +0200

resource-agents (1:4.3.0-2) unstable; urgency=medium

  * debian/patches: ZFS: fix bashism (Closes: #933398)

 -- Valentin Vidic <vvidic@debian.org>  Sat, 17 Aug 2019 11:42:02 +0200

resource-agents (1:4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0 (Closes: #927311)
  * debian/patches: drop xen-toolstack.patch
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.4.0

 -- Valentin Vidic <vvidic@debian.org>  Sat, 13 Jul 2019 21:32:37 +0200

resource-agents (1:4.2.0-2) unstable; urgency=medium

  * debian/rules: fix build with merged-usr (Closes: #915848)
  * debian/patches: use /run for ldirectord pid file

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Dec 2018 21:04:49 +0100

resource-agents (1:4.2.0-1ubuntu2) eoan; urgency=medium

  * Fix heartbeat/ethmonitor not listing network interfaces without IP
    addresses (LP: #1825250). Fixed by upstream patches:
    - d/p/lp1825250-ethmonitor-check-if-interface-exists-by-link.patch:
      ethmonitor: check if interface exists by link
    - d/p/lp1825250-ethmonitor-fix-is_interface-regression.patch:
      ethmonitor: fix is_interface() regression

 -- Heitor Alves de Siqueira <halves@canonical.com>  Tue, 23 Apr 2019 14:17:29 -0300

resource-agents (1:4.2.0-1ubuntu1) disco; urgency=medium

  * d/control: Demote python3-googleapi to Suggests to avoid inclusion
    in Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Nov 2018 14:31:51 +0000

resource-agents (1:4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 24 Oct 2018 11:43:37 +0200

resource-agents (1:4.2.0~rc1-1) unstable; urgency=medium

  * New upstream version 4.2.0~rc1
  * debian/patches: refresh for new version
  * debian/lintian-overrides: ignore long lines in manpages
  * debian/copyright: update file paths
  * debian/rules: add python3 for gcp agents
  * debian/tests: require postgresql-11 to run the pgsql test

 -- Valentin Vidic <vvidic@debian.org>  Thu, 18 Oct 2018 12:14:03 +0200

resource-agents (1:4.1.1-4) unstable; urgency=medium

  * debian/patches: try to fix failing pgsql ocft
  * debian/patches: use postgresql-11 to test pgsql

 -- Valentin Vidic <vvidic@debian.org>  Fri, 12 Oct 2018 10:03:56 +0200

resource-agents (1:4.1.1-3) unstable; urgency=medium

  * debian/tests: use default-mysql-server (Closes: #903852)
  * debian/copyright: include whole CC-BY-SA license
  * debian/copyright: fix file names
  * debian/control: update my email in Uploaders
  * debian/control: update Standards-Version to 4.2.1
  * debian/patches: use /run in tmpfiles.d

 -- Valentin Vidic <vvidic@debian.org>  Tue, 11 Sep 2018 22:50:02 +0200

resource-agents (1:4.1.1-2) unstable; urgency=medium

  * debian/control: add missing ldirectord Depends (Closes: #898747)
  * debian/patches: detect location of rm command (Closes: #898349)
  * debian/control: update Standards-Version to 4.1.4
  * debian/lintian-overrides: cleanup unused override
  * debian/patches: add Documentation for ldirectord service
  * debian/rules: enable build hardening
  * debian/rules: replace dpkg-parsechangelog with pkg-info.mk
  * debian/patches: fix spelling errors reported by lintian
  * debian/patches: add missing descriptions

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 15 May 2018 20:18:15 +0200

resource-agents (1:4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * debian/patches: refresh for new version
  * debian/patches: fix ocft config for postgresql 10
  * debian/tests: run ocft for pgsql agent
  * debian/copyright: make wildcard first paragraph
  * debian/compat: update to debhelper v11
  * debian/control: update Vcs URLs to use salsa
  * debian/lintian-overrides: ignore long lines in manpages
  * debian/control: remove python from Build-Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 12 Mar 2018 22:02:43 +0100

resource-agents (1:4.1.0-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version 4.1.0
  * debian/patches: fix default mysql log and sock paths (Closes: #883281)
  * Revert "debian/tests: disable apparmor for mysql"
  * debian/tests: start ocft in verbose mode
  * debian/tests: use interface from first default route
  * debian/tests: skip named test on Ubuntu autopkgtest
    infrastructure (Closes: #883060)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 03 Dec 2017 17:18:57 +0100

resource-agents (1:4.1.0~rc1-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Remove myself from Uploaders

  [ Valentin Vidic ]
  * New upstream version 4.1.0~rc1
  * debian/control: replace deprecated priority extra
  * debian/patches: refresh for new version
  * debian/rules: use first non-empty line for agent description
  * debian/install: update systemd files
  * debian/tests: disable apparmor for mysql
  * debian/control: update Standards-Version to 4.1.1
  * debian/changelog: cleanup trailing whitespace
  * debian/copyright: update Format URL
  * debian/control: remove python from Depends

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Sun, 26 Nov 2017 11:51:25 +0100

resource-agents (1:4.0.1-2) unstable; urgency=medium

  * debian/control: add gawk to Build-Depends
  * debian/control: add libxml2-utils to Recommends (Closes: #872920)
  * debian/patches: make the package build reproducible

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 22 Aug 2017 18:28:31 +0200

resource-agents (1:4.0.1-1) unstable; urgency=medium

  * New upstream release
  * Remove patches applied upstream
  * Xen: use the toolstack selected in /etc/default/xen (Closes: #854276)
  * debian/patches: make .gitignore work with quilt
  * debian/control: update Standards-Version to 4.0.0
  * debian/control: use debhelper v10

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Thu, 03 Aug 2017 13:47:13 +0200

resource-agents (1:4.0.0~rc1-4) unstable; urgency=medium

  * pgsql: postgresql-9.6 treats the contents of synchronous_standby_names as
    SQL identifiers, they need to be quoted for dashes etc. (Closes: #862719)

 -- Christoph Berg <myon@debian.org>  Sun, 04 Jun 2017 09:30:30 +0200

resource-agents (1:4.0.0~rc1-3) unstable; urgency=medium

  * debian/control: add net-tools to Recommends (Closes: #857368)

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Tue, 14 Mar 2017 08:36:06 +0100

resource-agents (1:4.0.0~rc1-2) unstable; urgency=medium

  * resource-agents: depend on gawk for LVM monitor
  * debian/control: replace tab with spaces
  * debian/tests: use ocft to test resource-agents
  * lintian: ignore defunct RHEL script rhev-check.sh
  * debian/watch: fix RC handling in upstream version
  * debian/tests: check ldirectord service startup
  * debian/tests: use ocft to test nfsserver agent
  * debian/tests: simplify nfsserver tests
  * Add Valentin Vidic to Uploaders.

 -- Valentin Vidic <Valentin.Vidic@CARNet.hr>  Mon, 23 Jan 2017 11:07:20 +0100

resource-agents (1:4.0.0~rc1-1) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * New upstream RC version.
  * Add libxml2-utils to Build-Depends for xmllint.
  * Include list of agents in package description.
  * Remove unused CVE-2010-3389--bug598549.patch.
  * Fix typo in IPaddr2, patch by ISHIKAWA Mutsumi. (Closes: #850787)

  [ Adrian Vondendriesch ]
  * Bump standards version.
  * Add lsb-base to ldirectord dependencies.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 11 Jan 2017 11:18:39 +0100

resource-agents (1:3.9.7-3) unstable; urgency=medium

  * Hardwire SHELL in /usr/lib/ocf/lib/heartbeat/ocf-binaries to /bin/bash,
    too many scripts contain bashisms. Spotted by the reproducible project,
    thanks!
  * Disable IPv6addr and send_ua on non-Linux, they need SIOCSIFADDR and
    SIOGIFINDEX.
  * Use dh-exec to install ldirectord.service and sfex* on Linux only.

 -- Christoph Berg <myon@debian.org>  Fri, 08 Apr 2016 21:19:58 +0200

resource-agents (1:3.9.7-2) unstable; urgency=medium

  [ Adrian Vondendriesch ]
  * debian/ldirectord.cf: Create a dummy configuration file.
  * debian/ldirectord.install: Ship the dummy configuration as default config
    for ldirectord. Otherwise the installation fails. (Closes: #817117)

  [ Christoph Berg ]
  * Remove Martin, Anibal, Simon, and Frederik from Uploaders.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 14 Mar 2016 11:35:07 +0100

resource-agents (1:3.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Add shebang line to runocft.

 -- Christoph Berg <myon@debian.org>  Sat, 13 Feb 2016 11:49:44 +0100

resource-agents (1:3.9.6-2) unstable; urgency=medium

  * Fix arch-all build by not attempting to fix the findif.sh permissions.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 03 Feb 2016 11:58:38 +0100

resource-agents (1:3.9.6-1) unstable; urgency=medium

  [ Christoph Berg ]
  * New upstream release.
    + ldirectord uses inet_ntop correctly. (Closes: #752667)
    + Xen handler supports "xl". (Closes: #672265)
    + Pure-FTPd RA creates pidfile directory. (Closes: #707878)
    + Removed bashism within Xinitd (Closes: #690928)
    + Bashism in pgsql agent fixed (Closes: #802990)
    + Upgrading from previous version fixed (Closes: #739873)
    + Crash fixed (Closes: #569533)
    + IPv6addr fixed (Closes: #709410)
    + findif doesn't require netmask anymore (Closes: #720453)
    + lxc agent fixed (Closes: #681818)
  * Update debian/copyright.
  * Bump dh compat to 9.
  * Rewrite ldirectord description, the old one was a mess.
  * Install upstream ldirectord.cf as example.
  * debian/ldirectord.init: remove "exec". (Closes: #664645)
  * debian/patches/mysql-path.patch: Now applies to heartbeat/mysql-common.sh.
  * Remove debian/patches/ocf-asterisk, went upstream.
  * Drop resource-agents-dev, it only contained a single line in a single file
    (but was Arch: any). Move agent_config.h to resource-agents.
  * Simplify debian/*.install.
  * Replace hardening-wrapper with buildflags.mk.
  * Build-Depend on systemd for systemd.pc.
  * Remove Python-Version from debian/control.
  * Write .tarball-version at build-time.
  * Add myself to Uploaders; bump Standards-Version.

  [ Adrian Vondendriesch ]
  * Install upstream ldirectord.service file
  * Drop fix-gethostinfo-v2 patch. The original bug is fixed by upstream
    commit 9d91c7 and 0d4438.
  * Add myself to Uploaders.
  * Add VCS-Git and VCS-Homepage to debian/changelog.
  * Change debian/watch to track new upstream location.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 02 Feb 2016 17:17:34 +0100

resource-agents (1:3.9.5+git+a626847-1) experimental; urgency=medium

  * New upstream checkout
  * debian/control: Bump Standards-Version

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Feb 2014 12:51:03 +0000

resource-agents (1:3.9.5+git20130726-1) experimental; urgency=low

  * New upstream checkout

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 26 Jul 2013 09:25:10 +0000

resource-agents (1:3.9.5-1) experimental; urgency=low

  * New upstream release

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 20 Mar 2013 22:14:18 +0000

resource-agents (1:3.9.3+git20121009-3) unstable; urgency=low

  * Fix the previous upload by including the proper patch this time.

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 22 Nov 2012 10:19:16 +0000

resource-agents (1:3.9.3+git20121009-2) unstable; urgency=low

  * debian/patches/fix-gethostinfo-v2.patch: Applied a patch by Zang
    MingJie, edited by Ruben Laban, to fix a problem related to IPv6 in
    ldirectord (Closes: #675913)

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 22 Nov 2012 09:33:56 +0000

resource-agents (1:3.9.3+git20121009-1) unstable; urgency=low

  * New upstream version
  * debian/patches/01_docbook_patch.patch: Refactored for new release
  * debian/patches/02_spelling_fixes.patch.new: Refatored for new release
  * debian/control: Bumped Standards-Version to 3.9.3

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 09 Oct 2012 11:16:59 +0000

resource-agents (1:3.9.2-5) unstable; urgency=high

  * debian/control: Fix the Conflicts and Replaces lines of resource-agents
    to make sure that cluster-agents and resource-agents are mutually
    exclusive. Setting the urgency to high because this bug keeps people
    from running the whole clusterstack (Closes: #646110)
  * debian/patches/ocf-asterisk: Include the Asterisk PBX OCF resource agent
    written by Florian Haas, Andreas Kurz and me, sponsored by hastexo

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 15 Nov 2011 17:14:18 +0000

resource-agents (1:3.9.2-4) unstable; urgency=low

  * Adopted numerous changes from the Ubuntu packages, implemented by Andres
    Rodriguez to make co-maintaining these packages in Ubuntu and Debian a
    bit easier.

 -- Martin Loschwitz <madkiss@debian.org>  Thu, 20 Oct 2011 12:10:13 +0000

resource-agents (1:3.9.2-3) unstable; urgency=low

  * debian/rules: Remove /usr/share/cluster/drbd.metadata from the final
    resource-agents package as it conflicts with drbd8-utils, too. Bollocks!
    (Closes: #639260)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 26 Aug 2011 12:43:41 +0000

resource-agents (1:3.9.2-2) unstable; urgency=low

  * Remove the RHCS DRBD resource agent (/usr/share/cluster/drbd.sh) so that
    this package does not conflict with drbd8-utils (Closes: #639260)
  * Add Conflicts for current versions of rgmanager -- versions of rgmanager
    newer than the one currently in Debian will fix the problem, but right
    now, there is no other way to deal with this (Closes: #639274)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 26 Aug 2011 06:03:45 +0000

resource-agents (1:3.9.2-1) unstable; urgency=low

  * Package rename due to restructuring from upstream
  * Added resource-agents-dev package to hold the important header file
  * New upstream release from new repository
  * Updated to new Policy version, no changes necessary
  * Adapt patches to work with the new upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 24 Aug 2011 09:32:00 +0000

cluster-agents (1:1.0.3-4) unstable; urgency=low

  * Use correct paths on Debian/GNU Linux in MySQL resource agent
    (Closes: #608274)
  * Add build dependency on python
    - Fixes build failure on both unstable and testing

 -- Simon Horman <horms@debian.org>  Fri, 04 Feb 2011 07:46:13 +0900

cluster-agents (1:1.0.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - (CVE-*): New patch. Fix CVE-2010-3389 insecure library loading using
      LD_LIBRARY_PATH. (important, security; Closes: #598549).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 19 Oct 2010 13:35:00 +0300

cluster-agents (1:1.0.3-3) unstable; urgency=low

  * Add build dependency on docbook-xml. (Closes: #579623)

 -- Frederik Schüler <fs@debian.org>  Mon, 03 May 2010 20:00:49 +0200

cluster-agents (1:1.0.3-2) unstable; urgency=low

  * Adopting patch from Andres Rodriguez and actually include it.

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 16 Apr 2010 06:44:40 +0000

cluster-agents (1:1.0.3-1) unstable; urgency=low

  * Update to new upstream version 1.0.3
  * Include example configuration file provided by Michael Schwartzkopff
    (Closes: #577575)
  * Add default file for ldirectord and patch init file to use it
    (Closes: #577572, #577574)

 -- Martin Loschwitz <madkiss@debian.org>  Fri, 16 Apr 2010 05:57:16 +0000

cluster-agents (1:1.0.2+hg1712-1) unstable; urgency=low

  * New upstream Mercurial checkout
  * Prepare for unstable upload and actually do it
  * Include files added by upstream in cluster-agents

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 30 Mar 2010 06:57:42 +0000

cluster-agents (1:1.0.2+hg1702-1) unstable; urgency=low

  * New package revision prepared for upload to unstable.
  * Update debian/copyright: list LGPL and GPL version 2 components.
  * ldirectord: check for a config file in initscript, and do nothing
    if it is not present.

 -- Frederik Schüler <fs@debian.org>  Fri, 26 Mar 2010 12:23:40 +0100

cluster-agents (1:1.0.2+hg1686-1) unstable; urgency=low

  * New package revision prepared for upload to unstable.
  * Install ldirector.8 manpage.
  * Drop unused lintian overrides.

 -- Frederik Schüler <fs@debian.org>  Fri, 12 Mar 2010 12:01:30 +0100

cluster-agents (1:1.0.2+hg1657-2) unstable; urgency=low

  [ Martin Loschwitz ]
  * Update the copyright-file to be more appropriate and up to date.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Mar 2010 08:40:00 +0100

cluster-agents (1:1.0.2+hg1657-1) unstable; urgency=low

  [ Martin Loschwitz ]
  * New package revision prepared for upload to unstable.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 02 Mar 2010 14:21:00 +0100

cluster-agents (1:1.0.2-2) UNRELEASED; urgency=low

  [ Simon Horman ]
  * Add build dependency on xsltproc.
  * Use dh_installinit to install the debian ldirectord init script.
  * Do not pass --sourcedir to dh_install.

  [ Frederik Schüler ]
  * Use source version 3.0 instead of dpatch, drop dependency accordingly.
  * Bump standards version to 3.8.4, no changes needed.
  * Install lintian override file.
  * Install manpages.
  * Really clean up in clean target.
  * debian/control: drop duplicate Section: field.

 -- Frederik Schüler <fs@debian.org>  Fri, 26 Feb 2010 19:33:36 +0100

cluster-agents (1:1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 03 Feb 2010 08:05:00 +0100

cluster-agents (1:1.0.2~rc2a+hg20100127-0test1) unstable; urgency=low

  * Incorporating a whole lot of changes done by Ante Karamatic to
    these packages; thank you very much indeed!
  * New upstream version taken from linux-ha.org repository
  * Fix dependencies for ldirectord and include var/lock/subsys/ldirectord

 -- Martin Loschwitz <madkiss@debian.org>  Wed, 27 Jan 2010 01:24:00 +0100

cluster-agents (1:1.0.2~rc2a-0ubuntu0ppa5) lucid; urgency=low

  * Add libglib2.0-dev to build-deps

 -- Ante Karamatic <ivoks@ubuntu.com>  Tue, 05 Jan 2010 18:19:31 +0100

cluster-agents (1:1.0.2~rc2a-0ubuntu0ppa4) lucid; urgency=low

  * Add pkg-config to build-deps

 -- Ante Karamatic <ivoks@ubuntu.com>  Tue, 05 Jan 2010 17:03:35 +0000

cluster-agents (1:1.0.2~rc2a-0ubuntu0ppa3) lucid; urgency=low

  * Fix typo in build-depends

 -- Ante Karamatic <ivoks@ubuntu.com>  Tue, 05 Jan 2010 14:15:44 +0000

cluster-agents (1:1.0.2~rc2a-0ubuntu0ppa2) lucid; urgency=low

  * Added autoconf, automake and libtool to build-deps

 -- Ante Karamatic <ivoks@ubuntu.com>  Mon, 04 Jan 2010 16:11:41 +0000

cluster-agents (1:1.0.2~rc2a-0ubuntu0ppa1) lucid; urgency=low

  * New upstream version
  * Added dpatch, docbook-xsl and xsltproc to build-deps
  * debian/patches/01_local_docbook:
   - use local docbook-xsl

 -- Ante Karamatic <ivoks@ubuntu.com>  Mon, 04 Jan 2010 15:55:14 +0000

cluster-agents (1:1.0+hg20091103-1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 12:10:06 +0000

cluster-agents (1:1.0+hg20091103-1) unstable; urgency=low

  * Updated upstream tarball to fetch some important updates

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 03 Nov 2009 12:07:35 +0000

cluster-agents (1:1.0+hg20091012-1) unstable; urgency=low

  * New upstream version

 -- Martin Loschwitz <madkiss@debian.org>  Mon, 12 Oct 2009 17:10:00 +0200

cluster-agents (1:1.0+hg20090915-1) unstable; urgency=low

  * Initial release of packages for the cluster agents collection

 -- Martin Loschwitz <madkiss@debian.org>  Tue, 15 Sep 2009 09:56:16 +0000

